<template>
  <div>
    <BizTable
      ref="bt"
      :formatCol="formatCol"
      metaName="role_info"
      packageName="auth"
      isMulti
      @onexec="onexec"
      :savebefore="savebefore"
    ></BizTable>
  </div>
</template>
  <script>
import BizTable from "../components/tables/biztables";
export default {
  name: "roleinfo_page",
  data() {
    return {};
  },
  components: {
    BizTable
  },
  methods: {
    savebefore(key,row,cbk){
       return cbk(row)
    },
    onexec(k, row) {
      if(k=="auth"){
        this.$router.push({ name: "role_auth",query:{roleid:row.id,rolecode:row.code}})
      }

    },
    // onnew() {
    //   this.$refs.bt.setFormCtlVisable("userName", true);
    // },
    // onedit() {
    //   this.$refs.bt.setFormCtlVisable("userName", false);
    // },
    formatCol(row, key, index) {
      // if (key == "roleName") {
      //   let rolestr = row.Roles.map(item => item.name).join(",");
      //   row.roles = row.Roles.map(item => item.id);
      //   return `<span>${rolestr}</span>`;
      // }
      // if (key == "isAdmin" || key == "isSuper") {
      //   return `<span>${row[key] ? "是" : "否"}</span>`;
      // }
      if (key == "created_at") {
        return `<span>${new Date(row[key]).toLocaleString()}</span>`;
      }
      return row[key];
    }
  }
};
</script>
  <style>
</style>
